program perica;
var Hi:array[1..1000] of integer;
N, L, i:integer;
kraj: boolean;


begin
read(N, L);
for i:=1 to N do
read(Hi[i]);
kraj:= True;
for i:= 1 to N do
if L>= Hi[i] then begin
    if kraj=True then begin
        write(i);
        kraj:=False;
        end;
    end;
if kraj= True then
write('-1');
end.